import sys

from prism_agents.agents.zero_intelligence.market_replay import MarketReplay
from prism_agents.api.remote_request_funcs import RemoteServerInterface

if __name__ == "__main__":
    from prism_agents.dataset.spy import SPYBidAskVolume

    url = "http://francis-test-server-route-a5w0-photon.apps.borealis-rnd-scc.fg.rbc.com"
    server_interface = RemoteServerInterface(url)
    name = "SPY_replayer" if len(sys.argv) == 1 else sys.argv[1]

    time_init = 0 if len(sys.argv) < 3 else int(sys.argv[2])

    spy_dataset = SPYBidAskVolume(tiny=True)
    ra = MarketReplay(
        dataset=spy_dataset,
        order_request_delay=10,
        LOB_depth=5,
        time_init=time_init,
        client_alias=name,
    )
    ra.run(server_interface)
