import torch

from prism_agents.agents.cst_agent_torch.cst_core import CSTParams

PAPER_CST_PARAMS = CSTParams(
    lamb=torch.tensor([1.85, 1.51, 1.09, 0.88, 0.77]),
    theta=torch.tensor([0.71, 0.81, 0.68, 0.56, 0.47]),
    mu=0.94,
    k=1.92,
    alpha=0.52,
    max_width=10,
)
