# Tracking

Our tracking tools uses Weights and Biases.
The prism-agents project can be seen at https://wandb.bairnd.fg.rbc.com/prism-agents/prism-agents.


To learn more about WandB, please refer to https://rbc-confluence.fg.rbc.com/display/BOREALISAI/Using+standalone+WandB+at+Borealis+AI

You'll need to set up a few environment variables such as,

```
export WANDB_BASE_URL="https://wandb.bairnd.fg.rbc.com"
export WANDB_API_KEY=<your/api/key>
export WANDB_DIR=<your/run/directory>
```

A gotcha: the `WANDB_DIR` environment variable defaults to the creation of a `wandb` folder a the root
of where experiments are ran. If at the diretory's root, subsequently running `isort` would cause 
a problem. Namely `isort` would then sort `import wandb` as a FIRSTPARTY library instead of THIRDPARTY.